<?php
class WidgetAreaDecorator extends DataObjectDecorator {

	function extraStatics() {
		return array(
			'db' => array(
		),
			'has_one' => array(
				"WidgetArea" => "WidgetArea",
		),
		);
	}

	public function updateCMSFields(FieldSet &$fields) {
		$fields->addFieldToTab("Root.Content.Widgets", new WidgetAreaEditor("WidgetArea"));
	}

	function SidebarWidgets() {
		if(!$this->owner->WidgetArea()->Widgets()->Count()) {
			$SelectedWidgetsHolder = $this->owner->WidgetsManager();
			if ($SelectedWidgetsHolder->ID) {
				return $SelectedWidgetsHolder->WidgetArea();
			} else if ($this->owner->Parent()->exists()) {
				return $this->owner->Parent()->SidebarWidgets();
			} else {
				return;
			}
		}
		else {
			return $this->owner->WidgetArea();
		}
	}

}
?>