<?php
class WidgetsManagerDecorator extends DataObjectDecorator {

	function extraStatics() {
		return array(
			'db' => array(
		),
			'has_one' => array(
				"WidgetsManager" => "WidgetsManager",
		),
		);
	}

	public function updateCMSFields(FieldSet &$fields) {
		$fields->addFieldToTab("Root.Content.Widgets", new DropdownField('WidgetsManagerID', _t('WidgetsManager.TITLE', "Widgets Manager"), Dataobject::get("WidgetsManager")->toDropdownMap('ID','Title','[Inherit]')));
	}



}
?>